/*
 * Copyright (C) 2005-2012 Alfresco Software Limited.
 *
 * This file is part of Alfresco
 *
 * Alfresco is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Alfresco is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Alfresco. If not, see <http://www.gnu.org/licenses/>.
 */
package org.alfresco.bm.process.share;

import org.alfresco.webdrone.WebDrone;

public class ShareEventProcessException extends RuntimeException
{
    private static final long serialVersionUID = -6849819515604518258L;
    //Takes in the WebDrone toString output as a prefix message
    private static final String DEFAULT_MESSAGE = "%s%n failed due to: %s";
    
    public ShareEventProcessException(String reason)
    {
        super(reason);
    }

    public ShareEventProcessException(String reason, Throwable cause)
    {
        super(reason, cause);
    }
    
    public ShareEventProcessException(WebDrone data, Throwable cause)
    {
        super(String.format(DEFAULT_MESSAGE, data, cause.getMessage()), cause);
    }
    
    public ShareEventProcessException()
    {
        super(DEFAULT_MESSAGE);
    }

}
