/*
 * Copyright (C) 2005-2012 Alfresco Software Limited.
 *
 * This file is part of Alfresco
 *
 * Alfresco is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Alfresco is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Alfresco. If not, see <http://www.gnu.org/licenses/>.
 */
package org.alfresco.bm.process.share;

import org.alfresco.bm.user.UserDataService;

/**
 * Thrown when user can not be found by {@link UserDataService}
 * @author Michael Suzuki
 *
 */
public class UserNotFoudException extends RuntimeException
{

    /**
     * Genrated by eclipse
     */
    private static final long serialVersionUID = 9111481625356602433L;
    private static final String DEFAULT_MESSAGE = "The given user can not be found in db";
    
    public UserNotFoudException(String reason)
    {
        super(reason);
    }

    public UserNotFoudException(String reason, Throwable cause)
    {
        super(reason, cause);
    }
    
    public UserNotFoudException()
    {
        super(DEFAULT_MESSAGE);
    }

}
