/*
 * Copyright (C) 2005-2012 Alfresco Software Limited.
 *
 * This file is part of Alfresco
 *
 * Alfresco is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Alfresco is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Alfresco. If not, see <http://www.gnu.org/licenses/>.
 */
package org.alfresco.bm.process.share.entity;

import java.io.File;

/**
 * Extension of {@link ShareEventData} that holds extra file download data.
 * <ul>
 *     <li>file</li>
 * </ul>
 * 
 * @author Derek Hulley
 * @since 1.0
 */
public class ShareDownloadEventData extends ShareEventData 
{
    private final File file;

    /**
     * Constructor.
     * 
     * @param copyFrom          existing data to copy values from
     * @param file              the physical file to download to
     */
    public ShareDownloadEventData(ShareEventData copyFrom, File file)
    {
        super(copyFrom);
        
        this.file = file;
    }

    public File getFile()
    {
        return file;
    }
}
